OpenVDB 13.0.0

Loading...
Searching...
No Matches
SparseStencilMatrix< ValueType_, STENCIL_SIZE >::MatrixCopyOp Struct Reference

`#include <openvdb/math/ConjGradient.h>`

## Public Member Functions
| MatrixCopyOp (const SparseStencilMatrix &from_, SparseStencilMatrix &to_)
void | operator() (const SizeRange &range) const

## Public Attributes
const SparseStencilMatrix * | from
SparseStencilMatrix * | to

## Constructor & Destructor Documentation

## ◆ MatrixCopyOp()

template<typename ValueType_, SizeType STENCIL_SIZE>

MatrixCopyOp | ( | const SparseStencilMatrix & | from_,
|  | SparseStencilMatrix & | to_ )
| inline

## Member Function Documentation

## ◆ operator()()

template<typename ValueType_, SizeType STENCIL_SIZE>

void operator() | ( | const SizeRange & | range | ) | const
| inline

## Member Data Documentation

## ◆ from

template<typename ValueType_, SizeType STENCIL_SIZE>

const SparseStencilMatrix* from

## ◆ to

template<typename ValueType_, SizeType STENCIL_SIZE>

SparseStencilMatrix* to